---
api: 'Business API'
---

# Retrieve a counterparty

Get the information about a specific counterparty by ID.

## Endpoint

GET `/counterparty/{counterparty_id}`

## Parameters

### path parameters

- `counterparty_id` (string, required)
  The ID of the counterparty to retrieve.

## Returns

### 200

The information about a specific counterparty

#### Response attributes

- `id` (string)
    The ID of the counterparty.
- `name` (string)
    The name of the counterparty.
- `revtag` (string, optional)
    The [Revtag](https://help.revolut.com/help/transfers/internal-transfers/username-payments/revtags/) of the counterparty.
- `profile_type` (enum, optional)
    The type of the counterparty.
    Indicates whether the recipient is an individual or a company.
    Possible enum values:

    - `personal`
    - `business`
- `country` (string, optional)
    The counterparty's bank country, provided as a 2-letter [ISO 3166](https://en.wikipedia.org/wiki/List_of_ISO_3166_country_codes) code.
- `state` (enum)
    Indicates the state of the counterparty.
    Possible enum values:

    - `created`
    - `draft`
    - `deleted`
- `created_at` (string)
    The date and time the counterparty was created in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format.
- `updated_at` (string)
    The date and time the counterparty was last updated in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format.
- `accounts` (array of object, optional)
    The list of public accounts associated with this counterparty.
  - `accounts[].id` (string)
      The ID of the counterparty's account.
  - `accounts[].name` (string, optional)
      The name of the counterparty.
  - `accounts[].bank_country` (string, optional)
      The country of the bank, provided as a 2-letter [ISO 3166](https://en.wikipedia.org/wiki/List_of_ISO_3166_country_codes) code.
  - `accounts[].currency` (string)
      [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217) currency code in upper case.
  - `accounts[].type` (enum)
      Indicates the type of account.
      Possible enum values:

      - `revolut`
      - `external`
  - `accounts[].account_no` (string, optional)
      The bank account number of the counterparty.
  - `accounts[].iban` (string, optional)
      The IBAN number of the counterparty's account if applicable.
  - `accounts[].sort_code` (string, optional)
      The sort code of the counterparty's account if applicable.
  - `accounts[].routing_number` (string, optional)
      The routing number of the counterparty's account if applicable.
  - `accounts[].bic` (string, optional)
      The BIC number of the counterparty's account if applicable.
  - `accounts[].clabe` (string, optional)
      The CLABE number of the counterparty's account if applicable.
  - `accounts[].ifsc` (string, optional)
      The IFSC number of the counterparty's account if applicable.
  - `accounts[].bsb_code` (string, optional)
      The BSB number of the counterparty's account if applicable.
  - `accounts[].recipient_charges` (enum, optional)
      Indicates the possibility of the recipient charges.
      
      :::warning
      This field is deprecated and should be disregarded.
      It is returned for legacy purposes only.
      :::
      Possible enum values:

      - `no`
      - `expected`
- `cards` (array of object, optional)
    The list of cards associated with this counterparty.
  - `cards[].id` (string)
      The ID of the counterparty's card.
  - `cards[].name` (string)
      The name of the counterparty.
  - `cards[].last_digits` (string)
      The last four digits of the card number.
  - `cards[].scheme` (enum)
      The card brand.
      Possible enum values:

      - `visa`
      - `mastercard`
  - `cards[].country` (string)
      The country of the card issuer, provided as a 2-letter [ISO 3166](https://en.wikipedia.org/wiki/List_of_ISO_3166_country_codes) code.
  - `cards[].currency` (string)
      [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217) currency code in upper case.
